.content {
  width: 100%;
  height: 100vh;
  overflow: scroll;
  background: rgb(245, 245, 245);
  font-family: "TrebuchetMS";

  h4 {
    padding: 0 32px;
  }
}

.cards {
  display: flex;
  overflow: scroll;

  .card {
    min-width: 192px;
    height: 271px;
    border-radius: 24px;
    margin: 0 0px 0 32px;
    background: #b78842;
    padding: 1rem;
    color: white;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    align-items: center;
    position: relative;

    &:after {
      content: "";
      position: absolute;
      width: 450px;
      height: 450px;
      border-radius: 50%;
      background-color: rgba(255, 255, 255, 0.05);
      top: -61%;
      left: 0%;
    }

    &:nth-child(2n+1) {
      background: #49b742;
    }

    .number {
      display: flex;
      justify-content: space-between;
      align-items: center;
      width: 100%;
    }

    .value {
      div {
        margin: .5rem;

        p {
          font-size: 16px;
          span {
            font-size: 12px;
          }
        }
      }
    }

    .type {
      width: 100%;

      img {
        width: 40px;
      }
    }
  }
}

.items {
  padding: 0 32px;

  .item {
    display: flex;
    margin: 1rem 0;

    .type-pay {
      min-width: 40px;
      min-height: 40px;
      display: flex;
      align-items: center;
      justify-content: center;
      font-size: 20px;
    }

    .down {
      background: rgba(#d31245, .05);
      color: #d31245;
    }

    .up {
      background: rgba(#49b742, .05);
      color: #49b742;
    }

    .info {
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin: 0 1rem;
      width: 100%;

      .text {
        font-size: 14px;
        color: #666666;
      }

      .date {
        font-size: 10px;
        color: #cccccc;
      }

      .value {
        font-size: 14px;

        span {
          font-size: 10px;
        }
      }

      .value-down {
        color: #d31245;
      }

      .value-up {
        color: #49b742;
      }
    }
  }
}


.skeleton {
  background: rgb(245, 245, 245);
  height: 100vh;
  overflow: scroll;

  h4 {
    margin: 32px;
  }

  .card {
    background: #cccccc;
  }

  .item {
    .type-pay {
      background: #cccccc;
      border-radius: 8px;
    }

    .info {
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin: 0 1rem;
      width: 100%;

      .text {
        width: 89px;
        height: 15px;
        background: #cccccc;
        border-radius: 4px;
      }

      .date {
        margin-top: .5rem;
        width: 40px;
        height: 8px;
        background: #cccccc;
        border-radius: 4px;
      }

      .value {
        width: 89px;
        height: 15px;
        background: #cccccc;
        border-radius: 4px;
      }
    }
  }
}
